%bcond_with doc

%global srcname mistune

%global common_description %{expand:
The fastest markdown parser in pure Python, inspired by marked.}

Summary:        Markdown parser for Python
Name:           python-mistune
Version:        2.0.4
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/lepture/mistune
Source0:        %url/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel python3dist(pytest)
BuildArch:      noarch

%description %{common_description}

%package -n python3-%{srcname}
Summary:        Markdown parser for Python
Obsoletes:      python3-mistune08 < 0.8.4-8

%description -n python3-%{srcname} %{common_description}

%if %{with doc}
%package doc
Summary:        Documentation for %{name}

%description doc
%{common_description}

This is the documentation package for %{name}.
%endif

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%if %{with doc}
%pyproject_buildrequires requirements-docs.txt
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%if %{with doc}
PYTHONPATH=$PWD/build/lib sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%{_fixperms} %{buildroot}/*

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst

%if %{with doc}
%files doc
%license LICENSE
%doc html
%endif

%changelog
* Wed Jun 26 2024 Shuo Wang <abushwang@tencent.com> - 2.0.4-1
- initial build
